App\Entity\Organisme:
    type: entity
    table: organisme
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        raison_sociale:
            type: string
            length: 255
            fixed: false
            nullable: false
        organismeType:
            type: string
            length: 50
            fixed: false
            nullable: false
            options:
                default: 'CREDIT'
            column: organisme_type
        description:
            type: text
            nullable: true
        adresse:
            type: text
            nullable: true
        email:
            type: string
            length: 255
            fixed: false
            nullable: true
        telephone:
            type: string
            length: 255
            fixed: false
            nullable: true
        fax:
            type: string
            length: 255
            fixed: false
            nullable: true
        patente:
            type: string
            length: 255
            fixed: false
            nullable: true
        ice:
            type: string
            length: 255
            fixed: false
            nullable: true
        photo:
            type: string
            length: 255
            fixed: false
            nullable: true
        icon:
            type: string
            length: 255
            fixed: false
            nullable: true
        lat:
            type: string
            length: 255
            fixed: false
            nullable: true
        lng:
            type: string
            length: 255
            fixed: false
            nullable: true
        zoom:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateInscription:
            type: datetime
            nullable: true
        motscles:
            type: text
            nullable: true
    oneToMany:
        ventes:
            targetEntity: Vente
            mappedBy: organisme